summaryrefslogtreecommitdiff
path: root/qa/204
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/204
downloadpcp-47e6e7c84f008a53061e661f31ae96629bc694ef.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/204')
-rwxr-xr-xqa/20436
1 files changed, 36 insertions, 0 deletions
diff --git a/qa/204 b/qa/204
new file mode 100755
index 0000000..00d3eac
--- /dev/null
+++ b/qa/204
@@ -0,0 +1,36 @@
+#! /bin/sh
+# PCP QA Test No. 204
+# localhost in archive label .. not!
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+trap "rm -f $tmp.*; exit" 0 1 2 3 15
+
+_filter()
+{
+ pmdumplog -l $tmp \
+ | grep host \
+ | sed -e "s/metrics from host .*/metrics from host REALHOSTNAME/"
+}
+
+# real QA test starts here
+
+rm -f $tmp.*
+echo
+echo "pmlogger with no -h"
+echo "log mandatory on 10msec hinv.ncpu" | pmlogger -s 1 $tmp >/dev/null 2>&1
+_filter
+
+rm -f $tmp.*
+echo
+echo "pmlogger -h localhost"
+echo "log mandatory on 10msec hinv.ncpu" | pmlogger -h localhost -s 1 $tmp >/dev/null 2>&1
+_filter